Name:       light
Version:    1.0
Release:    1%{?dist}
Summary:    Control backlight controllers

License:    GPLv3
URL:        http://haikarainen.github.io/light/
Source0:    https://github.com/haikarainen/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: help2man

%description
Light is a program to control backlight controllers under GNU/Linux,
it is the successor of lightscript, which was a bash script
with the same purpose, and tries to maintain the same functionality.

Features

- Works excellent where other software have been proven unusable
  or problematic, thanks to how it operates internally
  and the fact that it does not rely on X.
- Can automatically figure out the best controller to use,
  making full use of underlying hardware.
- Possibility to set a minimum brightness value, as some controllers
  set the screen to be pitch black at a value of 0 (or higher).


%prep
%setup -q


%build
%make_build
%make_build light
%make_build man


%install
mkdir -p %{buildroot}/%{_bindir}
install -m755 ./light %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_mandir}
install -m644 light.1.gz %{buildroot}/%{_mandir}/


%files
%{_bindir}/%{name}
%{_mandir}/%{name}.1*


%changelog
* Mon Aug 14 2017 Jakub Kadlcik <frostyx@email.cz> 1.0-1
- initial package
